function runscript()
	speaker("duncan");
	if (getflag(FLAG_GUN_MAN) == FLAG_OFF) then
		setflag(FLAG_GUN_MAN, FLAG_ON);
		say("I am the Gun Man. |||||||||I have many guns...|||| Here,| have a gun!")
		doscript("get-machine-gun")
		wait(50);
		say("Have a gun!|||| Hrmmmm... I meant have a fun...|||| I have a speech impediment...")
	end
end